> For the complete documentation index, see [llms.txt](https://developer.convergegate.com/legacy/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.convergegate.com/legacy/quick-start.md).

# Quick Start

{% hint style="info" %}
**Good to know:** A quick start guide to our documentation to help folks get up and running with our API in a few steps. Some people prefer diving in with the basics rather than meticulously reading every page of documentation!
{% endhint %}

## Get your API keys

Your API requests are authenticated using API keys. Any request that doesn't include an API key will return an error.

You can generate an API key from your Dashboard at any time.

## Authenticate

The best way to interact with our API is to authenticate to our official API's:

1. Card(server to server)
2. Wallet API
3. Wallet Payment Page
4. Token API
5. APM CHECKOUT (BLIK)
6. Checkout V3

{% hint style="info" %}
**Good to know:** Use tabs to navigate throughout our different API's, is a great way to explore our technical examples or code documentation without cramming the docs with extra sections or pages per API.
{% endhint %}

## Make your first request

To make your first request, send an authenticated request to the charges endpoint. This will create a `charge`, which is nice.

## Create a charge.

<mark style="color:green;">`POST`</mark> `https://{provided url}/v2/charges`

Creates a new charge.

{% tabs %}
{% tab title="CURL" %}

```javascript
{
curl https://{provided url}/v2/charges \
  -u sk_test_BQokikJOvBiI2HlWgH4olfQ2: \
  -d source=KLVGBEFEBPZ7B4QW
  -d payer[ip]=127.0.0.1 \
  -d payer[id]=123 \
  -d payer[firstname]=John \
  -d payer[lastname]=Doe \
  -d payer[email]=john@example.com \
  -d payer[address_city]="Mannheim Neckarstadt" \
  -d payer[address_country]=DE \
  -d payer[address_line1]="Scharnweberstrasse 24" \
  -d payer[address_line2]= \
  -d payer[address_state]=BW \
  -d payer[address_zip]=68-167 \
  -d payer[phone]=+49062111272935 \
  -x POST
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.convergegate.com/legacy/quick-start.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
